.plot {
  width: 100%;
}

.plotWrapper {
  position: relative;
  width: 100%;
  max-height: 95vh;
  overflow: hidden;

  .plotly {
    width: 100%;
    position: absolute;
    top: 0;
  }

  .mapboxControls {
    display: none !important;
  }

  .legendToggle {
    position: absolute;
    cursor: pointer;
    right: 1.3em;
    bottom: 0.23em;
    font-size: 1.8em;
    color: grey;
    z-index: 100;
  }

  .plotLegend {
    transition: display 0.5s, visibility 0.5s, opacity 0.5s;
  }

  .fallback {
    position: relative;
    top: 0;
    width: 100%;
    background-color: rgba(250, 250, 250, 0.8);

    img {
      z-index: -1;
      opacity: 0.5;
    }

    .spinner {
      position: absolute;
      left: 0;
      right: 0;
      top: 0;
      bottom: 0;
      margin: auto;
      border: 16px solid #aaf;
      border-top: 16px solid #117;
      border-radius: 50%;
      width: 5em;
      height: 5em;
      animation: spin 2s linear infinite;
    }
  }

  .hidden {
    visibility: hidden;
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
